Subject: Re: [RFC 43/72] a2065/ariadne: Move the a2065/ariadne drivers

From: Christoph Hellwig <[email-masked]>
Date: Mon, 11 Jul 2011 07:31:28 -0400

On Mon, Jul 11, 2011 at 02:39:57AM -0700, Jeff Kirsher wrote:
> It may just be me, these statements seem negative and bitter and is not
> helping us "solve" the issue.  While the statements may be true,  I
> would like to try and find a solution, what ever it may be, to better
> organize drivers/net/ethernet/ drivers to help with maintenance and
> future development.

It would help what the whole point of shuffling these drivers around
in arbitrary ways is.  Splitting them up for the actual protocols might
make some sense, as would giving a subdirectory to every non-trivial
driver.  But what whole vendor split, even if consistently implemented
seems like a lot of wanking for very little juice.